/*
Copyright © 2022 Lukas Bachschwell <lukas@lbsfilm.at>

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
package cmd

import (
	log "github.com/s00500/env_logger"
	"github.com/spf13/cobra"
)

// ifconfigCmd represents the ifconfig command
var ifconfigCmd = &cobra.Command{
	Use:   "ifconfig",
	Short: "Edit network interface config",
	Long:  `Edit network interface config`,
	Run: func(cmd *cobra.Command, args []string) {
		log.Println("ifconfig called")

		prepareWorkdir()
		editFile(workdir + "/etc/network/interfaces")
		createOutput()
	},
}

func init() {
	rootCmd.AddCommand(ifconfigCmd)
}
